Bug 998204 - Local history feature creates snapshots even when the process has not been changed.
Local history feature creates snapshots even when the process has not been ch...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER5
: 6.0.0
Assigned To: Tihomir Surdilovic
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-18 05:21 EDT by Marek Baluch
Modified: 2014-08-06 16:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:06:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Baluch 2013-08-18 05:21:43 EDT
Description of problem:

Local history if enabled will create a snapshot of the process approximately every 1 minute even when the process has not been changed in the meantime.

IMO a snapshot should be created only when the process was changed somehow. There's no point to have a dozen identical snapshots.


How to reproduce:
1) enable local history
2) wait a few (2-3) minutes.
3) there should be more than one snapshot
Comment 1 Tihomir Surdilovic 2013-10-02 19:47:59 EDT
fixed in designer master and 6.0.x branches. new local history snapshot is saved if the process json differs than the last stored one only.
Comment 2 Marek Baluch 2013-11-23 09:37:02 EST
Verified on ER5.

Note You need to log in before you can comment on or make changes to this bug.